Loading ...
Sorry, an error occurred while loading the content.

Re: email plugin

Expand Messages
  • Phil Dobbin
    ... You may also find it worth your while looking at RVM - the Ruby Version Manager if you re going to start using Ruby. Very lively,
    Message 1 of 38 , Nov 30, 2012
    • 0 Attachment
      On 11/30/2012 06:22 PM, Reid Thompson wrote:
      > On Fri, 2012-11-30 at 13:00 -0500, ping wrote:
      >> thanks. I'll test it out.
      >> ...
      >>
      >> but I seems unlucky -- I can't even get it installed (ubuntu 64bit
      >> 12.04)
      >>
      >> ping@640g-laptop:~$ sudo gem install vmail
      >> [sudo] password for ping:
      >> Fetching: mime-types-1.19.gem (100%)
      >> Successfully installed mime-types-1.19
      >> Fetching: polyglot-0.3.3.gem (100%)
      >> Successfully installed polyglot-0.3.3
      >> Fetching: treetop-1.4.12.gem (100%)
      >> Successfully installed treetop-1.4.12
      >> Fetching: mail-2.5.2.gem (100%)
      >> Successfully installed mail-2.5.2
      >> Fetching: highline-1.6.15.gem (100%)
      >> Successfully installed highline-1.6.15
      >> Fetching: sequel-3.41.0.gem (100%)
      >> Successfully installed sequel-3.41.0
      >> Fetching: sqlite3-1.3.6.gem (100%)
      >> Building native extensions. This could take a while...
      >> ERROR: Error installing vmail:
      >> ERROR: Failed to build gem native extension.
      >>
      >> /usr/bin/ruby1.8 extconf.rb
      >> checking for sqlite3.h... no
      >> sqlite3.h is missing. Try 'port install sqlite3 +universal'
      >> or 'yum install sqlite-devel' and check your shared library search
      >> path (the
      >> location where your sqlite3 shared library is located).
      >> *** extconf.rb failed ***
      >> Could not create Makefile due to some reason, probably lack of
      >> necessary libraries and/or headers. Check the mkmf.log file for more
      >> details. You may need configuration options.
      >>
      >> Provided configuration options:
      >> --with-opt-dir
      >> --without-opt-dir
      >> --with-opt-include
      >> --without-opt-include=${opt-dir}/include
      >> --with-opt-lib
      >> --without-opt-lib=${opt-dir}/lib
      >> --with-make-prog
      >> --without-make-prog
      >> --srcdir=.
      >> --curdir
      >> --ruby=/usr/bin/ruby1.8
      >> --with-sqlite3-dir
      >> --without-sqlite3-dir
      >> --with-sqlite3-include
      >> --without-sqlite3-include=${sqlite3-dir}/include
      >> --with-sqlite3-lib
      >> --without-sqlite3-lib=${sqlite3-dir}/lib
      >> --enable-local
      >> --disable-local
      >>
      >>
      >> Gem files will remain installed
      >> in /usr/lib/ruby/gems/1.8/gems/sqlite3-1.3.6 for inspection.
      >> Results logged
      >> to /usr/lib/ruby/gems/1.8/gems/sqlite3-1.3.6/ext/sqlite3/gem_make.out
      >> ping@640g-laptop:~$
      >>
      >> you have any issues when installing or knowning of any tricks to
      >> resolve
      >> that?
      >>
      >>
      >>
      >> On 11/30/2012 09:02 AM, Grahame Blackwood wrote:
      >>> Hi Ping
      >>>
      >>> Not that I am aware of, but it is good for gmail and I'm using it
      >>> right now for this email.
      >>>
      >>> Cheers

      >
      > apt-get install sqlite3 and sqlite3-devel, etc, etc
      >

      You may also find it worth your while looking at RVM - the Ruby Version
      Manager <https://rvm.io/> if you're going to start using Ruby. Very
      lively, happening community with great support & documentation.

      Cheers,

      Phil...


      --
      currently (ab)using
      CentOS 5.8 & 6.3, Debian Squeeze & Wheezy, Fedora Beefy & Spherical, OS
      X Snow Leopard & Ubuntu Precise & Quantal
    • Christian Brabandt
      Hi vim_use! ... Here is it: http://www.256bit.org/~chrisbra/cms/vim_as_e-mail_editor.html Mit freundlichen Grüßen Christian -- Was sind Tragödien anders
      Message 38 of 38 , Dec 4, 2012
      • 0 Attachment
        Hi vim_use!

        On Sa, 01 Dez 2012, Christian Brabandt wrote:

        > Hi Chris!
        >
        > On Fr, 30 Nov 2012, Chris Lott wrote:
        >
        > > On Fri, Nov 30, 2012 at 1:22 AM, Christian Brabandt <cblists@...> wrote:
        > > >
        > > > I use several handwritten plugin for fixing wrongly encoded characters
        > > > (e.g. change Ä into Ä and several others),
        > > > Deleting quoted Signatures, adding my Signature, changing subject,
        > > > setting options (textwidth, expandtab, formatoptions), reformatting the
        > > > text, spellchecking (this plugin was made before spell checking was
        > > > available in Vim), inserting special text, as well as custom completion
        > > > for addresses and attaching files (this functionality is available in
        > > > my CheckAttach plugin for use with mutt).
        > >
        > > Any chance you would share any of these?
        >
        > Let me first document this a little bit. Currently it is just a bunch of
        > files and a little bit messy to share. I'll update here when I have
        > written down this a little bit, so you can more easily select what you
        > need.

        Here is it:
        http://www.256bit.org/~chrisbra/cms/vim_as_e-mail_editor.html

        Mit freundlichen Grüßen
        Christian
        --
        "Was sind Tragödien anders als versifizierte Passionen solcher
        Leute, die sich aus den äußern Dingen ich weiß nicht was machen?"
        -- Goethe, Maximen und Reflektionen, Nr. 157

        --
        You received this message from the "vim_use" maillist.
        Do not top-post! Type your reply below the text you are replying to.
        For more information, visit http://www.vim.org/maillist.php
      Your message has been successfully submitted and would be delivered to recipients shortly.